Overview

ToolJet API reference

Enable the API#

Set these environment variables in the ToolJet deployment:

Variable Value
ENABLE_EXTERNAL_API true or false
EXTERNAL_API_ACCESS_TOKEN Your access token

Authenticate requests#

Code first:

curl -X GET 'https://your-tooljet-instance.com/api/ext/users' \
  -H 'Authorization: Basic <access_token>' \
  -H 'Content-Type: application/json'

Output:

The API returns an array of user objects when the token and endpoint are valid.

GET/api/ext/users
Features

Returns all users.

Input0
Authorizationheaderrequired
Basic <access_token>Sent from your browser straight to the API — never to Docsbook, never stored.
Example input
curl '/api/ext/users' \
  -H 'Authorization: Bearer <token>'
Example output
[
  {
    "id": "user-id",
    "name": "User name",
    "email": "user@example.com",
    "status": "active"
  }
]
GET/api/ext/workspaces
Features

Returns all workspaces.

Input0
Authorizationheaderrequired
Basic <access_token>Sent from your browser straight to the API — never to Docsbook, never stored.
Example input
curl '/api/ext/workspaces' \
  -H 'Authorization: Bearer <token>'
Example output
[
  {
    "id": "workspace-id",
    "name": "workspace-name",
    "status": "active"
  }
]
GET/api/ext/workspace/:workspace_id/apps
Features

Returns app details for applications in a workspace.

Input1
Authorizationheaderrequired
Basic <access_token>Sent from your browser straight to the API — never to Docsbook, never stored.
workspace_idstring · queryrequired
The workspace ID
Example input
curl '/api/ext/workspace/:workspace_id/apps?workspace_id=<workspace_id>' \
  -H 'Authorization: Bearer <token>'
Example output
[
  {
    "id": "app-id",
    "name": "Application name",
    "slug": "application-slug"
  }
]

Next steps#

Updated

Was this page helpful?